org.richfaces.taglib

## Class TreeTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.TreeTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class TreeTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAcceptCursors(javax.el.ValueExpression __acceptCursors)` List of comma separated cursors that indicates when acceptable draggable over dropzone Setter for acceptCursors
    `void` | `setAcceptedTypes(javax.el.ValueExpression __acceptedTypes)` A list of drag zones types, which elements are accepted by a drop zone Setter for acceptedTypes
    `void` | `setAdviseNodeOpened(javax.el.MethodExpression __adviseNodeOpened)` MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type.
    `void` | `setAdviseNodeSelected(javax.el.MethodExpression __adviseNodeSelected)` MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type.
    `void` | `setAjaxChildActivationEncodeBehavior(javax.el.ValueExpression __ajaxChildActivationEncodeBehavior)` Defines which nodes keys will be added to AjaxNodeKeys automatically on the request from the children of the node.
    `void` | `setAjaxKeys(javax.el.ValueExpression __ajaxKeys)` This attribute defines row keys that are updated after an AJAX request.
    `void` | `setAjaxNodeKeys(javax.el.ValueExpression __ajaxNodeKeys)` Keys of the nodes (without subtree) to be updated for ajax request risen by the node itself Setter for ajaxNodeKeys
    `void` | `setAjaxNodeSelectionEncodeBehavior(javax.el.ValueExpression __ajaxNodeSelectionEncodeBehavior)` Defines which nodes keys will be added to AjaxNodeKeys automatically on selecting ajax request from the node.
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
    `void` | `setAjaxSubmitSelection(javax.el.ValueExpression __ajaxSubmitSelection)` If "true", an Ajax request to be submit when selecting node.
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setChangeExpandListener(javax.el.MethodExpression __changeExpandListener)` Listener called on expand/collapse event on the node Setter for changeExpandListener
    `void` | `setComponentState(javax.el.ValueExpression __componentState)` It defines EL-binding for a component state for saving or redefinition Setter for componentState
    `void` | `setCursorTypeMapping(javax.el.ValueExpression __cursorTypeMapping)` Mapping between drop types and acceptable cursors Setter for cursorTypeMapping
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setDisableKeyboardNavigation(javax.el.ValueExpression __disableKeyboardNavigation)` Disables keyboard navigation.
    `void` | `setDragIndicator(javax.el.ValueExpression __dragIndicator)` Id of a component that is used as drag pointer during the drag operation Setter for dragIndicator
    `void` | `setDragListener(javax.el.MethodExpression __dragListener)` MethodBinding representing an action listener method that will be notified after drag operation Setter for dragListener
    `void` | `setDragType(javax.el.ValueExpression __dragType)` A drag zone type that is used for zone definition, which elements can be accepted by a drop zone Setter for dragType
    `void` | `setDragValue(javax.el.ValueExpression __dragValue)` Data to be sent to the drop zone after a drop event.
    `void` | `setDropListener(javax.el.MethodExpression __dropListener)` MethodBinding representing an action listener method that will be notified after drop operation Setter for dropListener
    `void` | `setDropValue(javax.el.ValueExpression __dropValue)` Data to be processed after a drop event.
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setGrabbingCursors(javax.el.ValueExpression __grabbingCursors)` List of comma separated cursors that indicates when you has grabbed something Setter for grabbingCursors
    `void` | `setGrabCursors(javax.el.ValueExpression __grabCursors)` List of comma separated cursors that indicates when you can grab and drag an object Setter for grabCursors
    `void` | `setHighlightedClass(javax.el.ValueExpression __highlightedClass)` Corresponds to the HTML class attribute.
    `void` | `setIcon(javax.el.ValueExpression __icon)` The icon for node Setter for icon
    `void` | `setIconCollapsed(javax.el.ValueExpression __iconCollapsed)` The icon for collapsed node Setter for iconCollapsed
    `void` | `setIconExpanded(javax.el.ValueExpression __iconExpanded)` The icon for expanded node Setter for iconExpanded
    `void` | `setIconLeaf(javax.el.ValueExpression __iconLeaf)` An icon for component leaves Setter for iconLeaf
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (during an Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setNodeFace(javax.el.ValueExpression __nodeFace)` Node face facet name Setter for nodeFace
    `void` | `setNodeSelectListener(javax.el.MethodExpression __nodeSelectListener)` MethodBinding representing an action listener method that will be notified after selection of node.
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOncollapse(javax.el.ValueExpression __oncollapse)` HTML: script expression to invoke on node collapsing Setter for oncollapse
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOncontextmenu(javax.el.ValueExpression __oncontextmenu)` JavaScript handler to be called on right click.
    `void` | `setOndragend(javax.el.ValueExpression __ondragend)` A JavaScript event handler called after a drag operation Setter for ondragend
    `void` | `setOndragenter(javax.el.ValueExpression __ondragenter)` A JavaScript event handler called on enter draggable object to zone Setter for ondragenter
    `void` | `setOndragexit(javax.el.ValueExpression __ondragexit)` A JavaScript event handler called after a drag object leaves zone Setter for ondragexit
    `void` | `setOndragstart(javax.el.ValueExpression __ondragstart)` A JavaScript event handler called before drag operation Setter for ondragstart
    `void` | `setOndrop(javax.el.ValueExpression __ondrop)` It's an event that is called when something is dropped on a drop zone Setter for ondrop
    `void` | `setOndropend(javax.el.ValueExpression __ondropend)` A JavaScript handler for event fired on a drop even the drop for a given type is not available Setter for ondropend
    `void` | `setOndropout(javax.el.ValueExpression __ondropout)` A JavaScript event handler called after a out operation Setter for ondropout
    `void` | `setOndropover(javax.el.ValueExpression __ondropover)` A JavaScript event handler called after a drop operation Setter for ondropover
    `void` | `setOnexpand(javax.el.ValueExpression __onexpand)` HTML: script expression to invoke on node expansion Setter for onexpand
    `void` | `setOnselected(javax.el.ValueExpression __onselected)` HTML: script expression to invoke on node selection Setter for onselected
    `void` | `setPreserveDataInRequest(javax.el.ValueExpression __preserveDataInRequest)` If "true", data is preserved in a request.
    `void` | `setPreserveModel(javax.el.ValueExpression __preserveModel)` Possible values are "state", "request", "none".
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRejectCursors(javax.el.ValueExpression __rejectCursors)` List of comma separated cursors that indicates when rejectable draggable over dropzone Setter for rejectCursors
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setRightClickSelection(javax.el.ValueExpression __rightClickSelection)` Allow to select tree item using mouse right click Setter for rightClickSelection
    `void` | `setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)` Converter for a row key object Setter for rowKeyConverter
    `void` | `setRowKeyVar(java.lang.String __rowKeyVar)` The attribute provides access to a row key in a Request scope Setter for rowKeyVar
    `void` | `setSelectedClass(javax.el.ValueExpression __selectedClass)` Corresponds to the HTML class attribute.
    `void` | `setShowConnectingLines(javax.el.ValueExpression __showConnectingLines)` If "true", connecting lines are show Setter for showConnectingLines
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setStateAdvisor(javax.el.ValueExpression __stateAdvisor)` ValueBinding pointing at instance of class implementing org.richfaces.component.state.TreeStateAdvisor interface.
    `void` | `setStateVar(java.lang.String __stateVar)` The attribute provides access to a component state on the client side Setter for stateVar
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setSwitchType(javax.el.ValueExpression __switchType)` Tree Nodes switch mode: "client", "server", "ajax" Setter for switchType
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.
    `void` | `setToggleOnClick(javax.el.ValueExpression __toggleOnClick)` If "false" do not toggle node state on click.
    `void` | `setTreeNodeVar(java.lang.String __treeNodeVar)` The attribute provides access to a TreeNode instance in a Request scope Setter for treeNodeVar
    `void` | `setTypeMapping(javax.el.ValueExpression __typeMapping)` The attribute associates a type of dragable zone (dragType) with &lt;rich:dndParam&gt; defined for &lt;rich:dropSupport&gt; for passing parameter value to &lt;rich:dragIndicator&gt;.
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
    `void` | `setVar(java.lang.String __var)` Attribute contains a name providing an access to data defined with value Setter for var

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### TreeTag

          public TreeTag()

  - ### Method Detail

    - #### setAcceptCursors

          public void setAcceptCursors(javax.el.ValueExpression __acceptCursors)

      List of comma separated cursors that indicates when acceptable draggable over dropzone Setter for acceptCursors
      Parameters:
        `acceptCursors` - - new value

    - #### setAcceptedTypes

          public void setAcceptedTypes(javax.el.ValueExpression __acceptedTypes)

      A list of drag zones types, which elements are accepted by a drop zone Setter for acceptedTypes
      Parameters:
        `acceptedTypes` - - new value

    - #### setAdviseNodeOpened

          public void setAdviseNodeOpened(javax.el.MethodExpression __adviseNodeOpened)

      MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type. If returned value is: java.lang.Boolean. TRUE, a particular treeNode is expanded; java.lang.Boolean.FALSE, a particular treeNode is collapsed; null, a particular treeNode saves the current state Setter for adviseNodeOpened
      Parameters:
        `adviseNodeOpened` - - new value

    - #### setAdviseNodeSelected

          public void setAdviseNodeSelected(javax.el.MethodExpression __adviseNodeSelected)

      MethodBinding pointing at a method accepting an org.richfaces.component.UITree with return of java.lang.Boolean type. If returned value is: java.lang.Boolean. TRUE, a particular treeNode is selected; java.lang.Boolean.FALSE, a particular treeNode is unselected; null, a particular treeNode saves the current state Setter for adviseNodeSelected
      Parameters:
        `adviseNodeSelected` - - new value

    - #### setAjaxChildActivationEncodeBehavior

          public void setAjaxChildActivationEncodeBehavior(javax.el.ValueExpression __ajaxChildActivationEncodeBehavior)

      Defines which nodes keys will be added to AjaxNodeKeys automatically on the request from the children of the node. Values: "none" - nothing, "node" - only current node, "subtree" - node and all its children. Setter for ajaxChildActivationEncodeBehavior
      Parameters:
        `ajaxChildActivationEncodeBehavior` - - new value

    - #### setAjaxKeys

          public void setAjaxKeys(javax.el.ValueExpression __ajaxKeys)

      This attribute defines row keys that are updated after an AJAX request. Setter for ajaxKeys
      Parameters:
        `ajaxKeys` - - new value

    - #### setAjaxNodeKeys

          public void setAjaxNodeKeys(javax.el.ValueExpression __ajaxNodeKeys)

      Keys of the nodes (without subtree) to be updated for ajax request risen by the node itself Setter for ajaxNodeKeys
      Parameters:
        `ajaxNodeKeys` - - new value

    - #### setAjaxNodeSelectionEncodeBehavior

          public void setAjaxNodeSelectionEncodeBehavior(javax.el.ValueExpression __ajaxNodeSelectionEncodeBehavior)

      Defines which nodes keys will be added to AjaxNodeKeys automatically on selecting ajax request from the node. Values: "none" - nothing, "node" - only current node, "subtree" - node and all its children. Setter for ajaxNodeSelectionEncodeBehavior
      Parameters:
        `ajaxNodeSelectionEncodeBehavior` - - new value

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setAjaxSubmitSelection

          public void setAjaxSubmitSelection(javax.el.ValueExpression __ajaxSubmitSelection)

      If "true", an Ajax request to be submit when selecting node. Default value is "false". Setter for ajaxSubmitSelection
      Parameters:
        `ajaxSubmitSelection` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setChangeExpandListener

          public void setChangeExpandListener(javax.el.MethodExpression __changeExpandListener)

      Listener called on expand/collapse event on the node Setter for changeExpandListener
      Parameters:
        `changeExpandListener` - - new value

    - #### setComponentState

          public void setComponentState(javax.el.ValueExpression __componentState)

      It defines EL-binding for a component state for saving or redefinition Setter for componentState
      Parameters:
        `componentState` - - new value

    - #### setCursorTypeMapping

          public void setCursorTypeMapping(javax.el.ValueExpression __cursorTypeMapping)

      Mapping between drop types and acceptable cursors Setter for cursorTypeMapping
      Parameters:
        `cursorTypeMapping` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setDisableKeyboardNavigation

          public void setDisableKeyboardNavigation(javax.el.ValueExpression __disableKeyboardNavigation)

      Disables keyboard navigation. Default value is "false" Setter for disableKeyboardNavigation
      Parameters:
        `disableKeyboardNavigation` - - new value

    - #### setDragIndicator

          public void setDragIndicator(javax.el.ValueExpression __dragIndicator)

      Id of a component that is used as drag pointer during the drag operation Setter for dragIndicator
      Parameters:
        `dragIndicator` - - new value

    - #### setDragListener

          public void setDragListener(javax.el.MethodExpression __dragListener)

      MethodBinding representing an action listener method that will be notified after drag operation Setter for dragListener
      Parameters:
        `dragListener` - - new value

    - #### setDragType

          public void setDragType(javax.el.ValueExpression __dragType)

      A drag zone type that is used for zone definition, which elements can be accepted by a drop zone Setter for dragType
      Parameters:
        `dragType` - - new value

    - #### setDragValue

          public void setDragValue(javax.el.ValueExpression __dragValue)

      Data to be sent to the drop zone after a drop event. Default value is "getRowKey()". Setter for dragValue
      Parameters:
        `dragValue` - - new value

    - #### setDropListener

          public void setDropListener(javax.el.MethodExpression __dropListener)

      MethodBinding representing an action listener method that will be notified after drop operation Setter for dropListener
      Parameters:
        `dropListener` - - new value

    - #### setDropValue

          public void setDropValue(javax.el.ValueExpression __dropValue)

      Data to be processed after a drop event. Default value is "getRowKey()". Setter for dropValue
      Parameters:
        `dropValue` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setGrabCursors

          public void setGrabCursors(javax.el.ValueExpression __grabCursors)

      List of comma separated cursors that indicates when you can grab and drag an object Setter for grabCursors
      Parameters:
        `grabCursors` - - new value

    - #### setGrabbingCursors

          public void setGrabbingCursors(javax.el.ValueExpression __grabbingCursors)

      List of comma separated cursors that indicates when you has grabbed something Setter for grabbingCursors
      Parameters:
        `grabbingCursors` - - new value

    - #### setHighlightedClass

          public void setHighlightedClass(javax.el.ValueExpression __highlightedClass)

      Corresponds to the HTML class attribute. Applied to highlighted node Setter for highlightedClass
      Parameters:
        `highlightedClass` - - new value

    - #### setIcon

          public void setIcon(javax.el.ValueExpression __icon)

      The icon for node Setter for icon
      Parameters:
        `icon` - - new value

    - #### setIconCollapsed

          public void setIconCollapsed(javax.el.ValueExpression __iconCollapsed)

      The icon for collapsed node Setter for iconCollapsed
      Parameters:
        `iconCollapsed` - - new value

    - #### setIconExpanded

          public void setIconExpanded(javax.el.ValueExpression __iconExpanded)

      The icon for expanded node Setter for iconExpanded
      Parameters:
        `iconExpanded` - - new value

    - #### setIconLeaf

          public void setIconLeaf(javax.el.ValueExpression __iconLeaf)

      An icon for component leaves Setter for iconLeaf
      Parameters:
        `iconLeaf` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      A flag indicating that this component value must be converted and validated immediately (during an Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setNodeFace

          public void setNodeFace(javax.el.ValueExpression __nodeFace)

      Node face facet name Setter for nodeFace
      Parameters:
        `nodeFace` - - new value

    - #### setNodeSelectListener

          public void setNodeSelectListener(javax.el.MethodExpression __nodeSelectListener)

      MethodBinding representing an action listener method that will be notified after selection of node. Setter for nodeSelectListener
      Parameters:
        `nodeSelectListener` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOncollapse

          public void setOncollapse(javax.el.ValueExpression __oncollapse)

      HTML: script expression to invoke on node collapsing Setter for oncollapse
      Parameters:
        `oncollapse` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOncontextmenu

          public void setOncontextmenu(javax.el.ValueExpression __oncontextmenu)

      JavaScript handler to be called on right click. Returning false prevents default browser context menu from being displayed Setter for oncontextmenu
      Parameters:
        `oncontextmenu` - - new value

    - #### setOndragend

          public void setOndragend(javax.el.ValueExpression __ondragend)

      A JavaScript event handler called after a drag operation Setter for ondragend
      Parameters:
        `ondragend` - - new value

    - #### setOndragenter

          public void setOndragenter(javax.el.ValueExpression __ondragenter)

      A JavaScript event handler called on enter draggable object to zone Setter for ondragenter
      Parameters:
        `ondragenter` - - new value

    - #### setOndragexit

          public void setOndragexit(javax.el.ValueExpression __ondragexit)

      A JavaScript event handler called after a drag object leaves zone Setter for ondragexit
      Parameters:
        `ondragexit` - - new value

    - #### setOndragstart

          public void setOndragstart(javax.el.ValueExpression __ondragstart)

      A JavaScript event handler called before drag operation Setter for ondragstart
      Parameters:
        `ondragstart` - - new value

    - #### setOndrop

          public void setOndrop(javax.el.ValueExpression __ondrop)

      It's an event that is called when something is dropped on a drop zone Setter for ondrop
      Parameters:
        `ondrop` - - new value

    - #### setOndropend

          public void setOndropend(javax.el.ValueExpression __ondropend)

      A JavaScript handler for event fired on a drop even the drop for a given type is not available Setter for ondropend
      Parameters:
        `ondropend` - - new value

    - #### setOndropout

          public void setOndropout(javax.el.ValueExpression __ondropout)

      A JavaScript event handler called after a out operation Setter for ondropout
      Parameters:
        `ondropout` - - new value

    - #### setOndropover

          public void setOndropover(javax.el.ValueExpression __ondropover)

      A JavaScript event handler called after a drop operation Setter for ondropover
      Parameters:
        `ondropover` - - new value

    - #### setOnexpand

          public void setOnexpand(javax.el.ValueExpression __onexpand)

      HTML: script expression to invoke on node expansion Setter for onexpand
      Parameters:
        `onexpand` - - new value

    - #### setOnselected

          public void setOnselected(javax.el.ValueExpression __onselected)

      HTML: script expression to invoke on node selection Setter for onselected
      Parameters:
        `onselected` - - new value

    - #### setPreserveDataInRequest

          public void setPreserveDataInRequest(javax.el.ValueExpression __preserveDataInRequest)

      If "true", data is preserved in a request. Default value is "true". Setter for preserveDataInRequest
      Parameters:
        `preserveDataInRequest` - - new value

    - #### setPreserveModel

          public void setPreserveModel(javax.el.ValueExpression __preserveModel)

      Possible values are "state", "request", "none". Default value is "request" Setter for preserveModel
      Parameters:
        `preserveModel` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRejectCursors

          public void setRejectCursors(javax.el.ValueExpression __rejectCursors)

      List of comma separated cursors that indicates when rejectable draggable over dropzone Setter for rejectCursors
      Parameters:
        `rejectCursors` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setRightClickSelection

          public void setRightClickSelection(javax.el.ValueExpression __rightClickSelection)

      Allow to select tree item using mouse right click Setter for rightClickSelection
      Parameters:
        `rightClickSelection` - - new value

    - #### setRowKeyConverter

          public void setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)

      Converter for a row key object Setter for rowKeyConverter
      Parameters:
        `rowKeyConverter` - - new value

    - #### setRowKeyVar

          public void setRowKeyVar(java.lang.String __rowKeyVar)

      The attribute provides access to a row key in a Request scope Setter for rowKeyVar
      Parameters:
        `rowKeyVar` - - new value

    - #### setSelectedClass

          public void setSelectedClass(javax.el.ValueExpression __selectedClass)

      Corresponds to the HTML class attribute. Applied to selected node Setter for selectedClass
      Parameters:
        `selectedClass` - - new value

    - #### setShowConnectingLines

          public void setShowConnectingLines(javax.el.ValueExpression __showConnectingLines)

      If "true", connecting lines are show Setter for showConnectingLines
      Parameters:
        `showConnectingLines` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setStateAdvisor

          public void setStateAdvisor(javax.el.ValueExpression __stateAdvisor)

      ValueBinding pointing at instance of class implementing org.richfaces.component.state.TreeStateAdvisor interface. Setter for stateAdvisor
      Parameters:
        `stateAdvisor` - - new value

    - #### setStateVar

          public void setStateVar(java.lang.String __stateVar)

      The attribute provides access to a component state on the client side Setter for stateVar
      Parameters:
        `stateVar` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setSwitchType

          public void setSwitchType(javax.el.ValueExpression __switchType)

      Tree Nodes switch mode: "client", "server", "ajax" Setter for switchType
      Parameters:
        `switchType` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### setToggleOnClick

          public void setToggleOnClick(javax.el.ValueExpression __toggleOnClick)

      If "false" do not toggle node state on click. If "true", than node will be toggles on click on ether node content, or node icon. Default value is "false". Setter for toggleOnClick
      Parameters:
        `toggleOnClick` - - new value

    - #### setTreeNodeVar

          public void setTreeNodeVar(java.lang.String __treeNodeVar)

      The attribute provides access to a TreeNode instance in a Request scope Setter for treeNodeVar
      Parameters:
        `treeNodeVar` - - new value

    - #### setTypeMapping

          public void setTypeMapping(javax.el.ValueExpression __typeMapping)

      The attribute associates a type of dragable zone (dragType) with &lt;rich:dndParam&gt; defined for &lt;rich:dropSupport&gt; for passing parameter value to &lt;rich:dragIndicator&gt;. It uses JSON format: (drag_type: parameter_name). Setter for typeMapping
      Parameters:
        `typeMapping` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### setVar

          public void setVar(java.lang.String __var)

      Attribute contains a name providing an access to data defined with value Setter for var
      Parameters:
        `var` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.